vim.g.mapleader = " "
vim.keymap.set("n", "<leader>pv", vim.cmd.Ex)

vim.keymap.set("n", "<C-b>", ":NvimTreeToggle<CR>", {
	noremap = true,
})
vim.keymap.set("n", "<leader>n", ":NvimTreeToggle<CR>", {
	noremap = true,
})
vim.keymap.set("n", "<leader>a", ":lua vim.lsp.buf.code_action()<CR>")

local builtin = require("telescope.builtin")
vim.keymap.set("n", "<leader>ff", builtin.find_files, {})
vim.keymap.set("n", "<leader>fg", builtin.live_grep, {})
vim.keymap.set("n", "<leader>fb", builtin.buffers, {})
vim.keymap.set("n", "<leader>fh", builtin.help_tags, {})

vim.keymap.set("n", "<leader>pp", "<Cmd>Telescope projects<CR>", {})

function _ADD_CURR_DIR_TO_PROJECTS()
	local historyfile = require("project_nvim.utils.path").historyfile
	local curr_directory = vim.fn.expand("%:p:h")
	vim.cmd("!echo " .. curr_directory .. " >> " .. historyfile)
end

vim.cmd("command! ProjectAddManually lua _ADD_CURR_DIR_TO_PROJECTS()")

vim.keymap.set("n", "<leader>d", ":lua vim.lsp.buf.hover()<CR>")
